ImageProfilesTool Class Reference

`#include <ScreenPickerTool.h>`

Inheritance diagram for ImageProfilesTool:

## Public Member Functions

virtual void | append (const QwtDoublePoint &pos)
int | averagePixels ()
ImageProfilesTool * | clone (Graph *g)
void | connectPlotLayers ()
QPointer< Table > | horizontalTable ()
| ImageProfilesTool (ApplicationWindow *app, Graph *graph, Matrix *m, Table *horTable, Table *verTable)
QPointer< Matrix > | matrix ()
virtual int | rtti () const
void | setAveragePixels (int pixels)
QPointer< Table > | verticalTable ()
virtual | ~ImageProfilesTool ()
Public Member Functions inherited from ScreenPickerTool
| ScreenPickerTool (Graph *graph, const QObject *status_target=NULL, const char *status_slot="")
void | setMoveRestriction (ScreenPickerTool::MoveRestriction r)
double | xValue ()
double | yValue ()
virtual | ~ScreenPickerTool ()
Public Member Functions inherited from PlotToolInterface
| PlotToolInterface (Graph *graph, const QObject *status_target=NULL, const char *status_slot="")
virtual | ~PlotToolInterface ()

## Protected Attributes

QSpinBox * | averageBox
ApplicationWindow * | d_app
QWidget * | d_box
QPointer< Table > | d_hor_table
QPointer< Matrix > | d_matrix
QPointer< Table > | d_ver_table
DoubleSpinBox * | horSpinBox
DoubleSpinBox * | vertSpinBox
QLabel * | zLabel
Protected Attributes inherited from ScreenPickerTool
MoveRestriction | d_move_restriction
QwtPlotMarker | d_selection_marker
Protected Attributes inherited from PlotToolInterface
Graph * | d_graph
const char * | d_status_slot
const QObject * | d_status_target

## Private Slots

void | modifiedMatrix (Matrix *)
void | updateCursorPosition ()
void | updateCursorWidth (int width)

## Private Member Functions

void | setCursorWidth (int width)

## Additional Inherited Members

Public Types inherited from ScreenPickerTool
enum | MoveRestriction { NoRestriction, Vertical, Horizontal }
Public Types inherited from PlotToolInterface
enum | RttiValues { Rtti_PlotTool = 0, Rtti_RangeSelector, Rtti_DataPicker, Rtti_TranslateCurveTool, Rtti_MultiPeakFitTool, Rtti_LineProfileTool, Rtti_AddWidgetTool, Rtti_DrawDataPoints, Rtti_ImageProfilesTool, Rtti_SubtractLineTool, Rtti_PlotUserTool = 1000 }
Signals inherited from ScreenPickerTool
void | statusText (const QString &)
Protected Member Functions inherited from ScreenPickerTool
virtual void | append (const QPoint &point)
virtual bool | eventFilter (QObject *obj, QEvent *event)

## Detailed Description

Plot tool for image analysis.

## Constructor & Destructor Documentation

## ImageProfilesTool()

ImageProfilesTool::ImageProfilesTool | ( | ApplicationWindow * | app,
|  | Graph * | graph,
|  | Matrix * | m,
|  | Table * | horTable,
|  | Table * | verTable
| ) |  |

References append(), averageBox, d_box, PlotToolInterface::d_graph, d_hor_table, d_matrix, ScreenPickerTool::d_selection_marker, d_ver_table, horSpinBox, modifiedMatrix(), Graph::multiLayer(), DoubleSpinBox::setDecimals(), DoubleSpinBox::setSingleStep(), MultiLayer::toolBox(), updateCursorPosition(), updateCursorWidth(), vertSpinBox, MatrixModel::x(), Matrix::xEnd(), Matrix::xStart(), MatrixModel::y(), Matrix::yEnd(), Matrix::yStart(), and zLabel.

Referenced by clone().

## ~ImageProfilesTool()

ImageProfilesTool::~ImageProfilesTool | ( |  | ) |

virtual

References d_box, d_hor_table, and d_ver_table.

## Member Function Documentation

## append()

void ImageProfilesTool::append | ( | const QwtDoublePoint & | pos | ) |

virtual

Reimplemented from ScreenPickerTool.

References ScreenPickerTool::append(), averageBox, Graph::curve(), d_app, ApplicationWindow::d_decimal_digits, PlotToolInterface::d_graph, d_hor_table, d_matrix, d_ver_table, Graph::enableAutoscaling(), horSpinBox, MultiLayer::layer(), Graph::multiLayer(), DoubleSpinBox::setValue(), ScreenPickerTool::statusText(), vertSpinBox, and zLabel.

Referenced by clone(), ImageProfilesTool(), modifiedMatrix(), ApplicationWindow::openGraph(), updateCursorPosition(), and updateCursorWidth().

## averagePixels()

int ImageProfilesTool::averagePixels | ( |  | ) |

inline

## clone()

ImageProfilesTool * ImageProfilesTool::clone | ( | Graph * | g | ) |

References append(), averageBox, connectPlotLayers(), d_app, d_matrix, ImageProfilesTool(), MultiLayer::layer(), Graph::multiLayer(), ApplicationWindow::newHiddenTable(), Graph::removeCurve(), setAveragePixels(), ScreenPickerTool::xValue(), and ScreenPickerTool::yValue().

Referenced by MultiLayer::copy().

## connectPlotLayers()

void ImageProfilesTool::connectPlotLayers | ( |  | ) |

References Graph::addCurves(), PlotToolInterface::d_graph, d_hor_table, d_ver_table, Graph::insertCurve(), MultiLayer::layer(), Graph::Line, and Graph::multiLayer().

Referenced by clone(), and ApplicationWindow::plotImageProfiles().

## horizontalTable()

QPointer<Table> ImageProfilesTool::horizontalTable | ( |  | ) |

inline

## matrix()

QPointer<Matrix> ImageProfilesTool::matrix | ( |  | ) |

inline

## modifiedMatrix

void ImageProfilesTool::modifiedMatrix | ( | Matrix * | m | ) |

private slot

References append(), PlotToolInterface::d_graph, d_hor_table, ScreenPickerTool::d_selection_marker, d_ver_table, MultiLayer::layer(), Graph::Linear, Matrix::matrixModel(), Graph::multiLayer(), Matrix::numCols(), Matrix::numRows(), Matrix::range(), Graph::setScale(), MatrixModel::x(), Matrix::xEnd(), Matrix::xStart(), MatrixModel::y(), Matrix::yEnd(), and Matrix::yStart().

Referenced by ImageProfilesTool().

## rtti()

virtual int ImageProfilesTool::rtti | ( |  | ) | const

inline virtual

Reimplemented from PlotToolInterface.

References PlotToolInterface::Rtti_ImageProfilesTool.

## setAveragePixels()

void ImageProfilesTool::setAveragePixels | ( | int | pixels | ) |

References averageBox, and setCursorWidth().

Referenced by clone(), and ApplicationWindow::openGraph().

## setCursorWidth()

void ImageProfilesTool::setCursorWidth | ( | int | width | ) |

private

References ScreenPickerTool::d_selection_marker.

Referenced by setAveragePixels(), and updateCursorWidth().

## updateCursorPosition

void ImageProfilesTool::updateCursorPosition | ( |  | ) |

private slot

References append(), PlotToolInterface::d_graph, horSpinBox, DoubleSpinBox::value(), and vertSpinBox.

Referenced by ImageProfilesTool().

## updateCursorWidth

void ImageProfilesTool::updateCursorWidth | ( | int | width | ) |

private slot

References append(), PlotToolInterface::d_graph, horSpinBox, setCursorWidth(), DoubleSpinBox::value(), and vertSpinBox.

Referenced by ImageProfilesTool().

## verticalTable()

QPointer<Table> ImageProfilesTool::verticalTable | ( |  | ) |

inline

## Member Data Documentation

## averageBox

QSpinBox* ImageProfilesTool::averageBox

protected

Referenced by append(), clone(), ImageProfilesTool(), and setAveragePixels().

## d_app

ApplicationWindow* ImageProfilesTool::d_app

protected

Referenced by append(), and clone().

## d_box

QWidget* ImageProfilesTool::d_box

protected

Referenced by ImageProfilesTool(), and ~ImageProfilesTool().

## d_hor_table

QPointer<Table> ImageProfilesTool::d_hor_table

protected

Referenced by append(), connectPlotLayers(), ImageProfilesTool(), modifiedMatrix(), and ~ImageProfilesTool().

## d_matrix

QPointer<Matrix> ImageProfilesTool::d_matrix

protected

Referenced by append(), clone(), and ImageProfilesTool().

## d_ver_table

QPointer<Table> ImageProfilesTool::d_ver_table

protected

Referenced by append(), connectPlotLayers(), ImageProfilesTool(), modifiedMatrix(), and ~ImageProfilesTool().

## horSpinBox

DoubleSpinBox* ImageProfilesTool::horSpinBox

protected

Referenced by append(), ImageProfilesTool(), updateCursorPosition(), and updateCursorWidth().

## vertSpinBox

DoubleSpinBox * ImageProfilesTool::vertSpinBox

protected

Referenced by append(), ImageProfilesTool(), updateCursorPosition(), and updateCursorWidth().

## zLabel

QLabel* ImageProfilesTool::zLabel

protected

Referenced by append(), and ImageProfilesTool().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/ScreenPickerTool.h
- qtiplot/src/plot2D/ScreenPickerTool.cpp